1. Ramp
Vortex
  • Documentation
    • Overview
    • Quick Start With The SDK
    • Authentication And Partner Keys
    • Ramp Lifecycle
    • Ephemeral Key Custody
    • Quotes And Pricing
    • Webhooks
    • Widget Integration
    • BRL / KYC notes
    • Sandbox
    • Production Checklist
    • AI Agent Integration
  • API Endpoints
    • Vortex Widget
      • Create widget session
    • Quotes
      • Create a new quote
      • Get existing quote
      • Create a quote for the best network
    • Ramp
      • Get ramp status
        GET
      • Get ramp error logs
        GET
      • Get ramp history for wallet address
        GET
      • Register new ramp process
        POST
      • Start ramp process
        POST
      • Update ramp process
        POST
    • Reference Data
      • Supported Countries
      • Supported Cryptocurrencies
      • Supported Fiat Currencies
      • Supported Payment Methods
    • Public Key
      • Public Key
    • Webhooks
      • Register Webhook
      • Delete Webhook
    • Account Management
      • Create user or retry KYC
      • Get user's KYC status
      • Get selfie liveness URL
      • Get KYC document upload URLs
      • Get user information
      • Get user's remaining transaction limits
      • Submit KYC level 1 data
      • Validate Pix key
    • Schemas
      • AccountMeta
      • AveniaDocumentType
      • AveniaKYCDataUploadRequest
      • AveniaKYCDataUploadResponse
      • BrlaAddress
      • BrlaErrorResponse
      • BrlaGetSelfieLivenessUrlResponse
      • BrlaValidatePixKeyResponse
      • CleanupPhase
      • CountryCode
      • CreateBestQuoteRequest
      • CreateQuoteRequest
      • CreateSubaccountRequest
      • CreateSubaccountResponse
      • DestinationType
      • DocumentUploadEntry
      • ErrorResponse
      • FiatToken
      • GetKycStatusResponse
      • GetRampErrorLogsResponse
      • GetRampHistoryResponse
      • GetRampHistoryTransaction
      • GetUserRemainingLimitResponse
      • GetUserResponse
      • GetWidgetUrlLocked
      • GetWidgetUrlRefresh
      • KYCDataUploadFileFiles
      • KYCDocType
      • KycLevel1Payload
      • KycLevel1Response
      • Networks
      • OnChainToken
      • PaymentData
      • PaymentMethod
      • PresignedTx
      • QuoteResponse
      • RampCurrency
      • RampDirection
      • RampErrorLog
      • RampPhase
      • RampProcess
      • RegisterRampRequest
      • SimpleStatus
      • StartKYC2Request
      • StartKYC2Response
      • StartRampRequest
      • TaxIdType
      • TriggerOfframpRequest
      • TriggerOfframpResponse
      • UnsignedTx
      • UpdateRampRequest
      • ValidatePixKeyResponse
  1. Ramp

Register new ramp process

Production
Production
POST
/v1/ramp/register
Initiates a new on-ramp or off-ramp process by providing quote details, signing accounts, and additional data.

Request

Body Params application/json

Examples

Responses

🟢201
application/json
Ramp process successfully registered.
Bodyapplication/json

🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/ramp/register' \
--header 'Content-Type: application/json' \
--data '{
    "additionalData": {
        "pixDestination": "711.711.011-11",
        "receiverTaxId": "0x7b79995e5f793a07bc00c21412e50ecae098e7f9",
        "taxId": "711.711.011-11"
    },
    "quoteId": "8e4bca04-aa22-4f86-9ce5-80aaef58ef83",
    "signingAccounts": [
        {
            "address": "0x7b79995e5f793a07bc00c21412e50ecae098e7f9",
            "network": "moonbeam"
        },
        {
            "address": "6ftBYTotU4mmCuvUqJvk6qEP7uCzzz771pTMoxcbHFb9rcPv",
            "network": "pendulum"
        }
    ]
}'
Response Response Example
201 - Success
{
    "brCode": "00020126...",
    "createdAt": "2024-05-16T10:00:00Z",
    "currentPhase": "pending_signature",
    "from": "stellar",
    "id": "proc_12345",
    "quoteId": "41a756dc-04e4-4e4b-b243-9c8f977c24d6",
    "to": "pix",
    "type": "off",
    "unsignedTxs": [
        {
            "data": "AAAA...",
            "type": "stellar_payment"
        }
    ],
    "updatedAt": "2024-05-16T10:00:00Z"
}
Modified at 2026-05-19 08:43:06
Previous
Get ramp history for wallet address
Next
Start ramp process
Built with